@import url('https://fonts.googleapis.com/css?family=Ubuntu|Oxygen|Raleway|Roboto&display=swap');

@font-face {
    font-family: 'PhoenixHacks';
    src: url('../fonts/PhoenixHacks-Regular.ttf');
    font-weight: normal;
    font-style: normal;
}

:root {
    --primary-color-1: #8F40Bf;
    --primary-color-2: #E6532D;
    --primary-color-3: #FECC30;
    --secondary-color-1: #FCA326;
    --secondary-color-2: #3251B2;
    --secondary-color-3: #FDFFFC;
    --bg-color: #23282B;
}

/* Base Styles */
body, html {
    padding: 0;
    margin: 0;
    font-family: 'Oxygen';
    scroll-behavior: smooth;
    background-color: var(--bg-color);
}

section {
    padding: 100px 50px;
}


.section-heading {
    font-family: 'PhoenixHacks';
    text-transform: uppercase;
    font-size: 6em;
    color: #FFF;
    text-align: center;
    margin-bottom: 50px;
    flex: 1 100%;
}



@media only screen and (max-width: 768px) {
    section {
        padding-left: 20px;
        padding-right: 20px;
    }

    .section-heading {
        font-size: 13vw;
    }
}

a.button {
    padding: 12px;
    background-color: var(--primary-color-1);
    color: var(--secondary-color-3);
    border-width: 0;
    outline: none;
    border-radius: 10px;
    cursor: pointer;
    font-weight: bold;
    font-size: 2em;
    text-decoration: none;
}

a.button:hover {
    color: var(--bg-color);
}

a.button:active {
    border-color: #FFF;
}

a {
    color: var(--secondary-color-1);
}

.invisible {
    display: none !important;
}

a:visited {
    color: var(--bg-color);
}



/* Animations */
@keyframes bgToP3ToP1 {
    0% {color: var(--bg-color);}
    50% {color: var(--secondary-color-3);}
    100% {color: var(--primary-color-1);}
}

@keyframes fadeIn {
    from {opacity: 0;}
    to {opacity: 1;}
}

@keyframes click {
    from {color: var(--primary-color-1);}
    to {color: #FFFFFF};
} 
@keyframes fadeInOut {
    from {opacity: 0.5;}
    to {opacity: 1;}
}



/** Navbar **/
#navbar {
    display: flex;
    justify-content: flex-end;
    position: fixed;
    width: 100%;
    background-color: var(--secondary-color-3);
    transition: 0.4s;
    overflow: hidden;
    z-index: 10;
}

#navbar-brand {
    flex: auto;
    font-family: 'PhoenixHacks';
}

#navbar-brand h1 {
    display: inline-block;
    vertical-align: sub;
    font-size: 1.25em;
    color: var(--bg-color);
    transition: 0.5s;
}

#navbar-brand h1 span {
    font-size: 1.5em;
}

#navbar-logo {
    height: 49px;
    padding: 2px 10px;
    vertical-align: middle;
}

@media only screen and (max-width: 341px) {
    #navbar-brand h1 {
        display: none;
    }
}

#navbar li {
    background-color: var(--secondary-color-3);
}

#navbar li a {
    color: var(--bg-color);
    text-decoration: none;
    padding: 20px;
    text-align: center;
    display: block;
    transition: 0.5s;
}

#navbar li:nth-child(2n+1) a:hover, #navbar li:nth-child(2n+1) a.active {
    background-color: var(--primary-color-1);
    color: var(--secondary-color-3);
}

#navbar li:nth-child(2n+2) a:hover, #navbar li:nth-child(2n+2) a.active {
    background-color: var(--bg-color);
    color: var(--secondary-color-3);
}

#navbar #navbar-button {
    display: none;
    float: right;
    padding: 10px;
    cursor: pointer;
    height: 35px;
    transition: 0.4s;
}

#navbar-button:hover {
    opacity: 0.3;
}

.close {
    height: 53px;
}

@media only screen and (max-width: 750px) {
    #navbar {
        display: block;
    }

    #navbar li {
        display: block;
    }

    #navbar #navbar-button {
        display: inline;
        overflow: hidden;
    }
}


/** Modal **/
#modal {
    display: block;
    position: fixed;
    width: 80%;
    max-width: 100%;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 70px;
    background-color: var(--secondary-color-3);
    padding: 20px;
    border-radius: 10px;
    z-index: 1;
    transition: 0.5s;
    overflow: hidden;
    opacity: 0;
    animation: fadeIn 1s 3s 1 normal forwards;
    box-shadow: 0 4px 6px 0 rgba(0, 0, 0, 0.5);
}

#modal-title {
    font-weight: bold;
    display: inline-block;
    padding: 5px;
}

#modal-content {
    margin-top: 10px;
}


#modal button {
    background-color: #00000000;
    padding: 5px;
    border: none;
    cursor: pointer;
    float: right;
}



header {
    color: var(--bg-color);
    padding: 0;
    min-height: 100vh;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    background-color: #00000066;
    width: 100%;
    position: relative;
}

#header-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    margin-top: 56px;
    padding-top: 100px;
    padding-bottom: 30px;
    z-index: 1;
}

#slideshow-container {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    opacity: 0.7;
}

#slideshow-container .slide {
    display: block;
    opacity: 0;
    transition: 0.4s;
    position: absolute;
    top: 0;
    min-height: 100%;
    min-width: 100%;
    left: 50%;
    transform: translateX(-50%);
}

#slideshow-indicators .indicator {
    border-radius: 50%;
    border: 1px solid #ccc;
    cursor: pointer;
    height: 13px;
    width: 13px;
    padding: 0;
    background-color: #00000000;
    opacity: 1;
    transition: 0.4s;
    display: inline-block;
}

#slideshow-indicators .active-indicator {
    background-color: #fff;
}

#slideshow-indicators {
    position: absolute;
    bottom: 20px;
    right: 50px;
    z-index: 2;
}

#slideshow-container .active-slide {
    opacity: 1;
}


#video-container video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-height: 100%;
    transform: translateX(-50%) translateY(-50%);    
    z-index: 0;
    background-color: var(--bg-color);
    /* Navbar offset */
    margin-top: 56px;
}

/* On Load Animations */
#general-info {
    animation: fadeIn 5s 1s normal forwards;
    opacity: 0;
}

#logo {
    animation: fadeIn 5s normal forwards;
    opacity: 0;
} 

header a.button, #down-arrow-container {
    animation: fadeIn 5s 1.5s 1 normal forwards;
    opacity: 0;
}

#title {
    color: var(--secondary-color-3);
    opacity: 0;
    animation: fadeIn 5s 0.5s 1 normal forwards;
    padding-top: 25px;
    font-size: 4em;
    font-family: 'PhoenixHacks';
}

#countdown {
    font: bold 3em 'Oxygen';
    color: var(--secondary-color-3);
    margin-top: 20px;
    animation: fadeIn 5s 1s normal forwards;
}

#general-info {
    font-size: 1.5em;
    line-height: 1.5;
    color: var(--secondary-color-3);
}

#logo {
    width: 250px;
    animation-name: fadeIn;
    align-self: center;
}

#header-text {
    padding-bottom: 20px;
}


/* P and H larger font */
#title span {
    font-size: 1.5em;
}



/* Down Arrows on Header */

#down-arrow-container {
    margin: 30px 0;
    z-index: 1;
}

.down-arrow {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 14px;

}

.down-arrow:nth-child(1) {
    animation: fadeIn 5s normal forwards,
    fadeInOut 1s 5.2s infinite alternate;
}

.down-arrow:nth-child(2) {
    animation: fadeIn 5s normal forwards,
    fadeInOut 1s 5.4s infinite alternate;
}

.down-arrow:nth-child(3) {
    animation: fadeIn 5s normal forwards,
    fadeInOut 1s 5.6s infinite alternate;
}


header .button {
    margin-left: auto;
    margin-right: auto;
}

header .button#btn-sponsor {
    margin-top: 50px;
}

@media only screen and (max-width: 768px) {
    #title {
        font-size: 8vw;
    }

    #general-info {
        font-size: 0.92em;
    }
    
    #logo {
        width: 32vw;
    }

    #down-arrow-container {
        font-size: 4em;
    }

    header .button {
        font-size: 1em; 
    }

    #slideshow-indicators {
        position: static;
    }

    #slideshow-indicators .indicator {
        width: 20px;
        height: 20px;
    }

    #header-content {
        margin-top: 0;
    }
}

header #btn-apply {
    margin-top: 35px;
} 



/** Sponsors Section **/
#sponsors {
    background-color: var(--primary-color-1);
}

#sponsor-container {
    text-align: center;
}


.sponsor-ember-logo, .sponsor-spark-logo, .sponsor-match-logo {
    padding: 25px;
    vertical-align: middle;
    transition: 0.35s;
}

.sponsor-ember-logo:hover, .sponsor-spark-logo:hover,
.sponsor-match-logo:hover {
    transform: scale(1.03);
}

#cab-logo {
    max-width: 600px;
}

#sga-logo {
    max-width: 500px;
}

#programming-club-logo {
    max-width: 315px;
}

#loyal-cast-logo {
    max-width: 350px;
}

#fipr-logo {
    max-width: 200px;
}

#ink-screen-printing-logo {
    max-width: 150px;
}

@media only screen and (max-width: 768px) {
    #cab-logo, #sga-logo, #programming-club-logo, #loyal-cast-logo, #fipr-logo,
    #ink-screen-printing-logo {
        padding-left: 5px;
        padding-right: 5px;
    }

    #cab-logo {
        min-width: 250px;
        width: 78vw;
    }

    #sga-logo {
        min-width: 275px;
        width: 65vw;
    }

    #programming-club-logo {
        min-width: 175px;
        width: 41vw;
    }

    #loyal-cast-logo {
        min-width: 200px;
        width: 45vw;
    }

    #fipr-logo {
        min-width: 115px;
        width: 26vw;
    }

    #ink-screen-printing-logo {
        min-width: 85px;
        width: 21vw;
    }
}

/* FAQ Section */
#faq {
    color: var(--bg-color);
    background-color: var(--primary-color-1);
    display: flex;
    flex-wrap: wrap;
    transition: 0.5s;
    justify-content: space-around;
}

.question-container {
    max-width: 400px;
    margin-top: 15px;
}

.question-container:hover {
    transform: scale(1.03);
}

.question {
    padding: 15px;
    cursor: pointer;
    background-color: var(--secondary-color-3);
    border-radius: 8px;
    box-shadow: 0px 4px 6px 0 rgba(0, 0, 0, 0.25);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.question h3, .question img {
    display: inline;
}

.answer {
    transform: scaleY(0);
    overflow: hidden;
    border-radius: 8px;
    transform-origin: top;
    background-color: var(--secondary-color-3);
    color: #000;
    max-height: 0px;
    box-shadow: 0px 4px 6px 0 rgba(0, 0, 0, 0.25);
}

ul.answer {
    list-style: disc;
}

ul.answer li {
    margin-left: 2em;
    margin-top: 5px;
}

.question-icon {
    transform: rotate(-90deg);
    height: 15px;
    margin-left: 10px;
}

.answer, .question, .question-icon {
    transition: 0.35s;
}

.answer-open {
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    transform: scaleY(1.0);
    max-height: 500px;
    padding: 15px;
}

.question-open {
    border-bottom-right-radius: 0px;
    border-bottom-left-radius: 0px;
}

.question-container-open {
    height: auto;
}

.question-icon-open {
    transform: rotate(0);
}



/** Venue Section **/
#venue {
    display: flex;
    flex-wrap: wrap;
    transition: 0.5s;
    justify-content: space-around;
    color: var(--secondary-color-3);
    background-color: var(--bg-color);
}

#venue h3 {
    font-weight: bold;
    padding-bottom: 10px;
}

#mapDiv {
    border-radius: 10px !important;
}

#map {
    padding-top: 25px;
    flex-grow: 1;
    height: 400px;
    border-radius: 10px;
}

#map-right-container {
    padding: 30px;
    max-width: 300px;
    align-self: center;
}

@media only screen and (max-width: 900px) {
    #map-right-container {
        max-width: 600px;
        padding-left: 0px;
        padding-right: 0px;
    }
}


/** Schedule Section **/
#schedule {
    background-color: var(--bg-color);
    color: var(--secondary-color-3);
    font-size: 1.5em;
    text-align: center;
}

#schedule h3 {
    font-size: 1.25em;
    font-weight: bold;
    padding: 50px 0px 10px 0px;
}

#schedule table {
    margin: auto;
}

th {
    font-weight: bold;
}

td, th {
    padding: 1em;
    text-align: center;
}

tr:nth-child(even) {
    background-color: var(--secondary-color-2);
}

tr:hover {
    opacity: 0.8;
}

#schedule p {
    font-size: 0.75em;
    margin-top: 50px;
}

/** Footer Section **/
#section-footer {
    background-color: var(--bg-color);
    padding: 65px 100px;
    color: var(--secondary-color-3);
    text-align: center;
    display: flex;
    justify-content: space-around;
    flex-direction: row;
    flex-wrap: wrap;
}

@media only screen and (max-width: 525px) {
    #section-footer {
        padding: 65px 0;
    }
}


#social-media-container, #copyright, #footer-address, #email {
    align-self: center;
    padding: 20px 10px 0 10px;
}

#copyright {
    font-weight: bold;
}

.social-media {
    margin: 10px;
    text-decoration: none;
}

.social-media-container a {
    display: inline-block;
    cursor: pointer;
}

.social-media-icon {
    height: 25px;
}


